html,
body {
  height: 100%;
  margin: 0;
}
textarea:focus,
input:focus {
  outline: none;
}
:focus {
  outline: none !important;
}
.body-container {
  min-height: calc(100vh - 330px);
  display: flex;
}

.hover {
  cursor: pointer;
}

.footer {
  width: 100%;
  display: inline-block;
  text-align: center;
  padding: 30px 0;
  margin-top: 70px;
  border-top: 1px solid #e5e5e5;
}

.thing-form {
  margin: 20px 0;
}

.delta-switch {
  text-decoration: underline;
  font-size: 12px;
  line-height: 1.5;
}

#banner {
  border-bottom: none;
  margin-top: -20px;
  z-index: 110;
}

#banner .pull-right {
  z-index: 90;
}

#banner h1 {
  font-size: 60px;
  line-height: 1;
  letter-spacing: -1px;
}

.loader-container {
  z-index: 1000;
  height: 50px;
  width: 50px;
  position: fixed;
  top: 50%;
  right: 0;
}

.unselectable {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
}

.service-container > div:not(:first-child) {
  padding-top: 10px;
  margin-top: 10px;
  border-top: 1px solid #ddd;
}

.replacement-icon.glyphicon-arrow-left {
  margin-right: 5px;
  vertical-align: text-top;
}

.replacement-icon.glyphicon-arrow-right {
  margin-left: 5px;
  vertical-align: text-top;
}

li.invalid-basket.basket-item {
  border-color: #d9534f;
}

.invalid-basket > div.subtitle {
  background-color: #d9534f;
}

.macd-container {
  background: #f9f9f9;
}

.red {
  color: #d9534f;
}

.green {
  color: #4bc076;
}

.orange {
  color: #f0ad4e;
}

.gray {
  color: #ccc;
}

.fluid-container {
  display: flex;
  justify-content: flex-end;
}

.page-header {
  margin-top: 20px;
}

.basket-item-popover {
  color: black;
  font-size: 2rem;
}

.header-item-popover {
  color: black;
  font-size: 2.2rem;
}

.basket-item-popover .popover-inner {
  width: 230px;
  font-size: 1rem;
}

.basket-item-popover p {
  margin-bottom: 5px;
}

.basket-item-popover hr {
  margin-top: 5px;
  margin-bottom: 5px;
}

hr {
  margin-top: 10px !important;
  margin-bottom: 10px !important;
}

h3.popover-title {
  padding: 6px 8px;
  margin: 0;
  font-size: 14px;
  font-weight: 600;
}

.basket-item-popover .popover-content,
.header-item-popover .popover-content {
  padding: 4px 8px;
  font-size: 13px;
}

.invisible {
  visibility: hidden;
}

.collapse-header-icons span {
  margin-top: -1px;
  top: 0 !important;
}

.hero-unit {
  position: relative;
  padding: 30px 15px;
  color: #f5f5f5;
  text-align: center;
  text-shadow: 0 1px 0 rgba(0, 0, 0, 0.1);
  background: #4393b9;
}

input.input-sm.quantity-input {
  width: 25%;
  display: inline-block;
  height: 20px;
  padding: 1px 2px;
  text-align: center;
}

.basket-item-info > div {
  padding-left: 6px;
}

.btn .caret {
  margin-left: 5px;
}

.code-area {
  overflow-y: scroll;
  max-height: 350px;
}

.copied {
  background: #ebebeb !important;
}

.addonGroup {
  min-height: 100px;
  background-color: #eee;
}

.addonGroup-header h5 {
  border-bottom: 1px solid #ddd;
  border-top: 1px solid #ddd;
  margin-bottom: 0px;
  margin-top: 0px;
  padding: 5px 0px;
}

.addonGroup-header .info {
  line-height: 34px;
  padding: 0;
}

.preselected-related-list {
  background-color: #eee;
}

.no-padding {
  padding: 0 !important;
}

.preselected-related-products {
  background-color: #eee;
}

.message-container {
  background-color: #eee;
}

.offer-diff {
  border-top: 2px solid #999;
}

div.offer-diff-offer:not(:last-child) {
  margin-bottom: 5px;
  border-bottom: 1px solid #999;
  padding-bottom: 5px;
}

.offer-diff-offer ul {
  border-left: 1px solid #f4a6a2;
  padding: 5px 0px 0px 0px;
}

.off-1 {
  padding-left: 10px;
}

.off-2 {
  padding-left: 10px;
}

.off-3 {
  padding-left: 10px;
}

.off-4 {
  padding-left: 10px;
}

.strikeout {
  color: grey;
  text-decoration: line-through;
}

.diff-baas-id {
  margin: 5px 0px;
  padding: 2px 0px;
  background: #eee;
}

.diff-desc {
  font-style: italic;
  font-size: 0.8rem;
}
